<?php
 $a=1; 
 $b=2;
 echo '$a='.$a."\n";
 echo '$b='.$b."\n";
 echo "Au retour de l'appel de la fonction somme()=".somme()."\n";
 echo '$loc1='.$loc1."\n";
 function somme() 
 { 
  global $a, $b ;
  echo "-----------------------\n";
  $result=$a+$b;
  $loc1=10;
  global $loc1;
  echo 'Dans la fonction $a='.$a.' et $b='.$b.' result='.$result."\n" ;
  echo 'et $loc1='.$loc1."\n";
  echo "-----------------------\n";
  return $result;
 }
?>
